> ## Documentation Index
> Fetch the complete documentation index at: https://wrtntechnologies.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk upsert info

> Request required info to upload documents.



## OpenAPI

````yaml get /projects/{projectId}/indexes/{indexName}/docs/bulk-upsert
openapi: 3.1.1
info:
  title: Wrtn AIMP API
  summary: Wrtn AIMP Open API Spec
  version: 1.0.0
servers:
  - url: https://{baseUrl}/{version}
    description: AIMP API endpoints
    variables:
      baseUrl:
        enum:
          - qqcyn6e2xc.execute-api.ap-northeast-2.amazonaws.com
        default: qqcyn6e2xc.execute-api.ap-northeast-2.amazonaws.com
      version:
        enum:
          - v1beta1
        default: v1beta1
security: []
paths:
  /projects/{projectId}/indexes/{indexName}/docs/bulk-upsert:
    get:
      description: Request required info to upload documents.
      parameters:
        - $ref: '#/components/parameters/ContentType'
        - $ref: '#/components/parameters/ProjectApiKey'
        - $ref: '#/components/parameters/ProjectId'
        - $ref: '#/components/parameters/IndexName'
      responses:
        '200':
          description: Required info to upload documents.
          content:
            application/json:
              schema:
                type: object
                properties:
                  url:
                    type: string
                    description: Presigned URL.
                  type:
                    type: string
                    description: >-
                      Content type that must be specified when uploading
                      documents.
                    default: application/json
                    enum:
                      - application/json
                  httpMethod:
                    type: string
                    description: >-
                      HTTP method that must be specified when uploading
                      documents.
                    default: PUT
                    enum:
                      - PUT
                  objectKey:
                    type: string
                    description: >-
                      Object key that must be specified when uploading
                      documents.
                  sizeLimitBytes:
                    type: integer
                    description: Object size limit in bytes.
                    default: 209715200
components:
  parameters:
    ContentType:
      in: header
      name: content-type
      required: true
      schema:
        type: string
        default: application/json
    ProjectApiKey:
      in: header
      name: x-api-key
      description: Project API Key.
      required: true
      schema:
        type: string
        description: Project API Key.
    ProjectId:
      in: path
      name: projectId
      description: Project ID.
      required: true
      schema:
        type: string
    IndexName:
      in: path
      name: indexName
      description: Index name.
      required: true
      schema:
        type: string

````